import {Component, Inject, OnInit} from '@angular/core';
import {provideNativeDateAdapter} from '@angular/material/core';
import {MatTableModule} from '@angular/material/table';
import { MatDialogActions, MatDialogClose, MatDialogContent, MatDialogTitle, MAT_DIALOG_DATA, MatDialogRef } from "@angular/material/dialog";
import {JsonPipe} from "@angular/common";
import {Observable} from "rxjs";
import {MatFormField, MatLabel} from "@angular/material/form-field";
import {FormControl, FormGroup, ReactiveFormsModule} from "@angular/forms";
import {MatIconModule} from '@angular/material/icon';
import {MatDividerModule} from '@angular/material/divider';
import {MatButtonModule} from '@angular/material/button';


export interface PeriodicElement {
  position: number;
  name: string;
  weight: number;
  symbol: string;
}

export interface interDetalleRequerimiento {
  posicion: string;
  nombre : string;
  unidad: string;
  cantidad: number;
}

//const ARTICULOS_DATA : detalleRequerimiento[] = [];

@Component({
  selector: 'app-modalRequerimiento',
  standalone: true,
  providers: [provideNativeDateAdapter()],
  templateUrl: './modalRequerimiento.componente.html',
  styleUrls: ['./modalRequerimiento.componente.css'],
  imports: [
    MatDialogActions,
    MatDialogClose,
    MatDialogContent,
    JsonPipe,
    MatLabel,
    ReactiveFormsModule,
    MatFormField,
    MatDialogTitle,
    MatTableModule,
    MatButtonModule,
    MatDividerModule,
    MatIconModule,
  ]
})

export class modalRequerimientoComponent implements OnInit{

  detalleRequerimiento: any;
  filasRequerimientos: any;
  //displayedColumns: string[] = ['position', 'name', 'weight', 'symbol'];
  columnasArticulos: string[] = ['posicion', 'nombre', 'unidad', 'cantidad'];
  dataSource: interDetalleRequerimiento[] = [];

  constructor(@Inject(MAT_DIALOG_DATA) public data: any) {
    // Puedes acceder a los datos pasados a través de 'data'


    this.detalleRequerimiento = data.requerimientoInfo
    this.filasRequerimientos = data.requerimientoInfo.map((item: any) => ({
      posicion: item.numeral,
      nombre: item.producto,
      unidad: item.codUnidad,
      cantidad: item.cantidad
    }));


    console.log(this.detalleRequerimiento);
  }

  ngOnInit(): void {
    //ARTICULOS_DATA.push(this.detalleRequerimiento);
    this.dataSource = this.filasRequerimientos;
  }



}
