import {Injectable} from "@angular/core";
import axios from "axios";
import {environment} from "../../../environment/env";


@Injectable({
  providedIn: 'root'
})
export class ConformidadService {

  t_asistencia_rest_link = environment.t_asistencia_rest_link;
  t_horizon_rest_link = environment.horizon_services_link;

  constructor() {
  }

  async listadoGeneral(opcion: number) {
    try {
      const respuesta = await axios.post(this.t_asistencia_rest_link + '/api/v1/Conformidad/listadoGeneral',
        {
          v_opcion: opcion,
        });
      return respuesta.data;
    } catch (e) {
      return e;
    }
  }

  async listadoGeneralHorizon(json: any) {

    const parametros =[
      json.accion || 0,
      json.nroRequerimiento || '',
      json.sede || '',
    ]

    try {
      const respuesta = await axios.post(this.t_horizon_rest_link + '/api/procedure/Procedimiento',
        {
          database: "sqlserver",
          procedure :"USP_GENERAL_FORMULARIO",
          params : parametros
        },
        {
          headers: {
            'Content-Type': 'application/json'
          }
        }
      );
      return respuesta.data;
    } catch (e) {
      return e;
    }
  }

  async registroConformidad(json: any) {
    try {
      const respuesta = await axios.post(this.t_asistencia_rest_link + '/api/v1/Conformidad/registroConformidad', json);
      return respuesta.data;
    } catch (e) {
      return e;
    }
  }

  /*async listadoRequerimientos(json: any) {
    const parametros =[
      json.accion || 0,
      json.nroRequerimiento || '',
      json.sede || '',
    ]

    try {
      const respuesta = await axios.post(this.t_horizon_rest_link + '/api/procedure/Procedimiento',
        {
          database: "sqlserver",
          procedure :"USP_GENERAL_FORMULARIO",
          params : parametros
        },
        {
          headers: {
            'Content-Type': 'application/json'
          }
        });
      return respuesta.data;
    } catch (e) {
      return e;
    }
  }*/
}
